org.apache.lucene.codecs.compressing

## Class CompressingTermVectorsReader

- java.lang.Object
- - org.apache.lucene.codecs.TermVectorsReader
  - - org.apache.lucene.codecs.compressing.CompressingTermVectorsReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Cloneable

      public final class CompressingTermVectorsReader
      extends TermVectorsReader
      implements Closeable

  `TermVectorsReader` for `CompressingTermVectorsFormat`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressingTermVectorsReader(Directory d, SegmentInfo si, String segmentSuffix, FieldInfos fn, IOContext context, String formatName, CompressionMode compressionMode)` Sole constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TermVectorsReader` | `clone()` Create a clone that one caller at a time may use to read term vectors.
    `void` | `close()`
    `Fields` | `get(int doc)` Returns term vectors for this document, or null if term vectors were not indexed.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompressingTermVectorsReader

          public CompressingTermVectorsReader(Directory d,
                                      SegmentInfo si,
                                      String segmentSuffix,
                                      FieldInfos fn,
                                      IOContext context,
                                      String formatName,
                                      CompressionMode compressionMode)
                                       throws IOException

      Sole constructor.
      Throws:
        `IOException`

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

    - #### clone

          public TermVectorsReader clone()

      Description copied from class: `TermVectorsReader`
      Create a clone that one caller at a time may use to read term vectors.
      Specified by:
        `clone` in class `TermVectorsReader`

    - #### get

          public Fields get(int doc)
                     throws IOException

      Description copied from class: `TermVectorsReader`
      Returns term vectors for this document, or null if term vectors were not indexed. If offsets are available they are in an `OffsetAttribute` available from the `DocsAndPositionsEnum`.
      Specified by:
        `get` in class `TermVectorsReader`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.